Returns the new description for the server

- « MongoDB\Driver\Monitoring\ServerChangedEvent::getHost

- MongoDB\Driver\Monitoring\ServerChangedEvent::getPort »

- PHP Manual
- MongoDB\Driver\Monitoring\ServerChangedEvent
- Returns the new description for the server

# MongoDB\Driver\Monitoring\ServerChangedEvent::getNewDescription

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\ServerChangedEvent::getNewDescription — Returns the new description for the server

### Description

final public MongoDB\Driver\Monitoring\ServerChangedEvent::getNewDescription(): MongoDB\Driver\ServerDescription

### Parameters

This function has no parameters.

### Return Values

Returns the new MongoDB\Driver\ServerDescription for the server.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.